Api Documentation

Bulletinboard items

Retrieves bulletinboard items and rudimentary information about them. When module-bulletin-board-moderation is enabled, items with moderation_status "pending" or "rejected" are only visible to the user who created them.
Retrieves a single bulletinboard item and rudimentary information about it.
Creates a new bulletinboard item. When module-bulletin-board-moderation is enabled, the item will be created with moderation_status "pending" and active set to false, regardless of the active parameter. The item must be approved by a manager in the dashboard before it becomes visible to other users.
Updates an existing bulletinboard item. When module-bulletin-board-moderation is enabled and active is set to true, the item will be set to moderation_status "pending" instead.
Deletes a single bulletinboard item. Only available to API keys without user authentication.
Json
XML
PUT https://api.bundeling.com/V2/bulletinboard_items/:uuid

Parameters

Url

NameDescriptionType
uuidA unique identifier used to identify a bulletinboard itemstring

Body

NameDescriptionTypeNillable
bulletinboard_uuidA unique identifier used to identify a bulletinboardstringfalse
category_uuidThe unique identifier of the category in which to place the itemstringfalse
user_uuidThe unique identifier of the author of the bulletinboard item. Only required with API keys without user authentication. Else this field will be set to the authenticated user.stringfalse
activeDefines if the item is active and visible to other users. When module-bulletin-board-moderation is enabled and set to true, the item will be set to moderation_status "pending" instead.booleanfalse
titleThe title of the itemstringfalse
textThe content of the itemstringfalse
linkAn link to an external webpagestringfalse
enddateBulletinboard item is closed after this datedatetimefalse
closeddateBulletinboard item is closed if this date is setdatetimefalse
external_referenceReference for linking to external systems.stringfalse

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Body

{
    "bulletinboard_uuid": "56f09a35ea14453ba94bc2b2add19a23",
    "category_uuid": "8e09c4749b234633a7319148aac8cb81",
    "user_uuid": "d669b048d2084892b5a5232b78923227",
    "active": true,
    "title": "Car for sale",
    "text": "I am selling my car...",
    "link": "https://bundeling.com",
    "enddate": "2026-08-10T18:00:00+0200",
    "closeddate": "2026-08-10T18:00:00+0200",
    "external_reference": "123908"
}

Example response

{
    "uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "bulletinboard_uuid": "56f09a35ea14453ba94bc2b2add19a23",
    "category": "Job opening",
    "category_uuid": "8e09c4749b234633a7319148aac8cb81",
    "user_uuid": "d669b048d2084892b5a5232b78923227",
    "title": "",
    "text": "",
    "active": true,
    "link": "https://bundeling.com",
    "language": "en",
    "enddate": "2026-08-10T18:00:00+0200",
    "closeddate": null,
    "external_reference": "123908",
    "moderation_status": "pending",
    "rejection_reason": null,
    "creationdate": "2026-04-03T00:00:00+0200",
    "lastupdate": "2026-04-03T00:00:00+0200"
}